Bug 71075 - [NFS] nfsd deadlock.
[NFS] nfsd deadlock.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-08 10:40 EDT by David Woodhouse
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SysRq-T output (15.12 KB, text/plain)
2002-08-08 10:43 EDT, David Woodhouse
no flags Details
tcpdump capture of the NFS traffic which killed it. (20.50 KB, application/octet-stream)
2002-08-08 11:58 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2002-08-08 10:40:51 EDT
Description of Problem:

NFSd deadlock.

Version-Release number of selected component (if applicable):
2.4.18-7.94

How Reproducible:
2 out of 2 attempts.

Steps to Reproduce:
1. Export root ext3 filesystem by NFS. -orw,no_root_squash.
2. Mount it somewhere.
3. cd into the mounted nfs filesystem.
4. ls. Watch it get stuck.
5. cd / on the server. Watch it deadlock too.

Additional Information:

SysRq-T output will be attached.
Comment 1 David Woodhouse 2002-08-08 10:43:39 EDT
Created attachment 69547 [details]
SysRq-T output
Comment 2 David Woodhouse 2002-08-08 11:58:09 EDT
Created attachment 69564 [details]
tcpdump capture of the NFS traffic which killed it.
Comment 3 Arjan van de Ven 2002-08-13 05:36:23 EDT
Workaround found, now for the bugfix
Comment 4 Bugzilla owner 2004-09-30 11:39:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.